Name:           git-core-doc-info
%define parentpackage_name	git
Version:        2.49.0
Release:        %autorelease
Summary:        Texinfo-based info documentation files for git-core
License:        BSD-3-Clause AND GPL-2.0-only AND GPL-2.0-or-later AND LGPL-2.1-or-later AND MIT
URL:            https://git-scm.com/
BuildArch:      noarch
Source:         https://www.kernel.org/pub/software/scm/git/%{parentpackage_name}-%{version}.tar.xz
Requires:	git-core-doc
BuildRequires:  asciidoc >= 8.4.1, docbook2X, make, texinfo, xmlto
# NB. `gcc` not needed for documentation build, but `configure` fails without it
BuildRequires:	gcc

%description
Documentation files for git-core package, specifically texinfo-based
info files not packaged in the git-core-doc package.

Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.

%prep
%autosetup -n %{parentpackage_name}-%{version}

%build
%global debug_package %{nil}
%configure
%make_build -C Documentation info DOCBOOK2X_TEXI=db2x_docbook2texi

%install
# the `make_install` macro currently hardcodes the install target, so overriding
#  cf. `rpm --showrc |grep '[^%]\bmake_install'`
%{__make} DESTDIR=%{?buildroot} INSTALL="%{__install} -p" -C Documentation install-info
# replacing	%%make_install -C Documentation install-info

%files
%{_infodir}/git.info*
%{_infodir}/gitman.info*

%changelog
%autochangelog
